
From: Robert Picco <Robert.Picco@hp.com>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/hpet.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/char/hpet.c~fix-hpet-for-acpi-changes drivers/char/hpet.c
--- 25/drivers/char/hpet.c~fix-hpet-for-acpi-changes	Wed Jun  9 14:36:09 2004
+++ 25-akpm/drivers/char/hpet.c	Wed Jun  9 14:36:09 2004
@@ -1024,9 +1024,9 @@ static acpi_status __init hpet_resources
 			for (i = 0; i < hdp->hd_nirqs; i++)
 #ifdef	CONFIG_IA64
 				hdp->hd_irq[i] =
-				    acpi_register_irq(irqp->interrupts[i],
-						      irqp->active_high_low,
-						      irqp->edge_level);
+				    acpi_register_gsi(irqp->interrupts[i],
+						      irqp->edge_level,
+						      irqp->active_high_low);
 #else
 				hdp->hd_irq[i] = irqp->interrupts[i];
 #endif
_
